require "string_char_format/version"

module StringCharFormat
  class Error < StandardError; end
  
  def only_letters
    self.gsub(/[^a-zA-Z]/,'')
  end
  
  def only_numbers
    self.gsub(/[^0-9]/,'')
  end

  def only_special_chars
    letters = self.only_letters
    numbers = self.only_numbers
    array_chars = (letters + numbers).split('')
    remove_char(array_chars)
  end

  def no_space
    self.gsub(' ', '')
  end

  private

  def remove_char(chars)
    self.split('').map { |self_char| self_char unless chars.include? self_char }.compact.join
  end
end

class String
  include StringCharFormat
end